## doorbirdpy 3.0.8

=== requirements.txt ===
aiohttp
tenacity==9.0.0

=== debian/changelog ===
doorbirdpy (3.0.8-2) unstable; urgency=medium

  * Source-only upload to allow package to migrate to testing.

 -- Edward Betts <edward@4angle.com>  Sat, 15 Feb 2025 14:15:44 -0500

doorbirdpy (3.0.8-1) unstable; urgency=medium

  * Initial release. (Closes: #1095277)

 -- Edward Betts <edward@4angle.com>  Thu, 06 Feb 2025 10:27:24 +0000

=== debian/control ===
Source: doorbirdpy
Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
Uploaders:
 Edward Betts <edward@4angle.com>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 python3-aiohttp <!nocheck>,
 python3-aioresponses <!nocheck>,
 python3-pytest <!nocheck>,
 python3-pytest-asyncio <!nocheck>,
 python3-tenacity <!nocheck>,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://gitlab.com/klikini/doorbirdpy
Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/doorbirdpy
Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/doorbirdpy.git

Package: python3-doorbirdpy
Architecture: all
Depends:
 python3-tenacity,
 ${misc:Depends},
 ${python3:Depends},
Description: Library for interfacing with DoorBird devices over LAN
 This library provides a structured way to communicate with DoorBird devices
 over a local network using the LAN API. It allows access to live video and
 image streams, control of relays, and activation of door-opening mechanisms.
 Users can retrieve historical images or schedule requests for these devices.
 Additionally, the library facilitates operations like light control and
 querying device information. Although features like live audio are not
 supported, video and image capabilities are well covered, including support
 for the Real-Time Streaming Protocol (RTSP).

=== debian/watch ===
version=4
https://pypi.debian.net/DoorBirdPy/doorbirdpy-(.+)\.tar\.gz

## doorbirdpy 3.0.10

=== debian/changelog ===
doorbirdpy (3.0.10-1) unstable; urgency=medium

  * New upstream release.
  * Remove 'Rules-Requires-Root: no', now the default.
  * Update Standards-Version.
  * Switch to autopkgtest-pkg-pybuild.
  * Skip tests that need JSON test files that missing from PyPI.
  * Update debian/watch to format version 5.
  * Add debian/salsa-ci.yml.

 -- Edward Betts <edward@4angle.com>  Fri, 03 Oct 2025 08:44:14 +0100

=== debian/control ===
--- 
+++ 
@@ -16,11 +16,11 @@
  python3-pytest <!nocheck>,
  python3-pytest-asyncio <!nocheck>,
  python3-tenacity <!nocheck>,
-Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://gitlab.com/klikini/doorbirdpy
 Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/doorbirdpy
 Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/doorbirdpy.git
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-doorbirdpy
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_TEST_ARGS=-k "not test_ready and not test_schedule and not test_get_schedule_entry and not test_change_schedule_entry and not test_info"
%:
	dh $@ --buildsystem=pybuild

=== debian/watch ===
Version: 5

Source: https://pypi.python.org/packages/source/D/DoorBirdPy/
Matching-Pattern: doorbirdpy-@ANY_VERSION@@ARCHIVE_EXT@

## doorbirdpy 3.0.11

=== debian/changelog ===
doorbirdpy (3.0.11-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Tue, 09 Dec 2025 14:53:08 +0000

## doorbirdpy 3.0.12

=== debian/changelog ===
doorbirdpy (3.0.12-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Sun, 21 Dec 2025 20:39:59 +0000
